using FluentValidation;

public class RegisterGatewayRequestValidator : AbstractValidator<RegisterGatewayRequest>
{
    public RegisterGatewayRequestValidator()
    {
        RuleFor(x => x.GatewayCode).NotEmpty().MaximumLength(64);
        RuleFor(x => x.Department).NotEmpty().MaximumLength(100);
    }
}